/*
 * BINewPresStandardWizardPanel.java
 *
 * Copyright © 1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 */


 /*
  * This is the standard panel of the New Presentation Wizard.  
  * 
  */

package samples.javaclient;

import oracle.dss.datautil.gui.panel.DefaultStandardPanel;
import oracle.bali.ewt.graphics.ImageUtils;
import java.awt.Image;

public class BINewPresStandardWizardPanel extends DefaultStandardPanel  {

  String m_panelID;
  String m_title;
  Image m_image;

  public BINewPresStandardWizardPanel(String panelID, String title) {
    super();
    m_panelID = panelID;
    m_title = title;
    m_image = ImageUtils.getImageResource (getClass(), "images/graph.gif");;  
  }

  // returns the panel ID
  public String getId() {
    return m_panelID;
  }

  // returns the image assosiated with the panel
  public Image getImage() {
    return m_image;
  }

  // return the title for the panel
  public String getTitle() {
    return getId();
  }

}